Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.licel.jcardsim.remote
Class JavaCardRemoteServer

    java.lang.Object
      java.rmi.server.RemoteObject
          java.rmi.server.RemoteServer
              java.rmi.server.UnicastRemoteObject
                  com.licel.jcardsim.remote.JavaCardRemoteServer

All Implemented Interfaces:
  JavaCardRemoteInterface, Serializable, Remote

    public class JavaCardRemoteServer

extends UnicastRemoteObject
implements JavaCardRemoteInterface

RMI Server

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.rmi.server.RemoteObject
`ref`

Fields inherited from interface com.licel.jcardsim.remote.JavaCardRemoteInterface
`RMI_SERVER_ID`

Constructor Summary
`JavaCardRemoteServer(String host, int port)`

Method Summary
`SerializableAID` | `createApplet(SerializableAID aid, byte[] bArray, short bOffset, byte bLength)` Imlementation
`byte[]` | `getATR()` Imlementation
`SerializableAID` | `loadApplet(SerializableAID aid, String appletClassName)` Imlementation
`SerializableAID` | `loadApplet(SerializableAID aid, String appletClassName, byte[] appletJarContents)` Imlementation
`static void` | `main(String[] args)`
`void` | `reset()` Imlementation
`boolean` | `selectApplet(SerializableAID aid)` Imlementation
`byte[]` | `transmitCommand(byte[] data)` Imlementation

Methods inherited from class java.rmi.server.UnicastRemoteObject
`clone, exportObject, exportObject, exportObject, unexportObject`

Methods inherited from class java.rmi.server.RemoteServer
`getClientHost, getLog, setLog`

Methods inherited from class java.rmi.server.RemoteObject
`equals, getRef, hashCode, toString, toStub`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JavaCardRemoteServer

    public JavaCardRemoteServer(String host,
                                int port)
                         throws RemoteException

Throws:
  `RemoteException`

Method Detail

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`

### loadApplet

    public SerializableAID loadApplet(SerializableAID aid,
                                      String appletClassName)
                               throws RemoteException

  Imlementation

  Specified by:
    `loadApplet` in interface `JavaCardRemoteInterface`
  Throws:
    `RemoteException`

### loadApplet

    public SerializableAID loadApplet(SerializableAID aid,
                                      String appletClassName,
                                      byte[] appletJarContents)
                               throws RemoteException

  Imlementation

  Specified by:
    `loadApplet` in interface `JavaCardRemoteInterface`
  Throws:
    `RemoteException`

### createApplet

    public SerializableAID createApplet(SerializableAID aid,
                                        byte[] bArray,
                                        short bOffset,
                                        byte bLength)
                                 throws RemoteException

  Imlementation

  Specified by:
    `createApplet` in interface `JavaCardRemoteInterface`
  Throws:
    `RemoteException`

### transmitCommand

    public byte[] transmitCommand(byte[] data)
                           throws RemoteException

  Imlementation

  Specified by:
    `transmitCommand` in interface `JavaCardRemoteInterface`
  Throws:
    `RemoteException`

### selectApplet

    public boolean selectApplet(SerializableAID aid)
                         throws RemoteException

  Imlementation

  Specified by:
    `selectApplet` in interface `JavaCardRemoteInterface`
  Throws:
    `RemoteException`

### reset

    public void reset()
               throws RemoteException

  Imlementation

  Specified by:
    `reset` in interface `JavaCardRemoteInterface`
  Throws:
    `RemoteException`

### getATR

    public byte[] getATR()
                  throws RemoteException

  Imlementation

  Specified by:
    `getATR` in interface `JavaCardRemoteInterface`
  Throws:
    `RemoteException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD